XmCommandGetChild(3)

NAME
XmCommandGetChild — A Command function that is used to access a component

SYNOPSIS

#include <Xm/Command.h>
Widget XmCommandGetChild(
Widget widget,
unsigned char child);

DESCRIPTION

XmCommandGetChild is used to access a component within a Command. The parameters given to the function are the Command widget and a value indicating which component to access.

widget
    Specifies the Command widget ID.

child
    Specifies a component within the Command. The following values are legal for this parameter:

    •   XmDIALOG_COMMAND_TEXT

    •   XmDIALOG_PROMPT_LABEL

    •   XmDIALOG_HISTORY_LIST

    •   XmDIALOG_WORK_AREA

For a complete definition of Command and its associated resources, see XmCommand(3).

RETURN

Returns the widget ID of the specified Command component. An application should not assume that the returned widget will be of any particular class.

RELATED

XmCommand(3).